﻿using System.Collections.Generic;

namespace Eingabeverwaltung.Metamodell
{
	public class Operation
	{
		public readonly string name;
		public readonly List<Sort> sorts;

		public Operation(string name, List<Sort> sorts)
		{
			this.name = name;
			this.sorts = sorts;
		}

		public virtual string ToString(bool _)
        {
			string res = "";
			res += "   " + name + ": ";
			foreach (Sort sort in sorts)
				res += sort.name + " -> ";
			res = res.Remove(res.Length - 3);
			res += "\n";
			return res;
		}
	}
}
