﻿using Eingabeverwaltung.Metamodell;

namespace Ueberpruefung
{
	public abstract class ElementChecker
	{
		/// <summary>
		/// Checks element e. Returns true if constraint is satisfied, false if not satisfied and 
		/// throws InvalidOperationException if the context (Type of e) is wrong for the constraint.
		/// PreCondition: All necessary pre-checkings must be complete. 
		/// </summary>
		/// <param name="e"></param>
		/// <returns></returns>
		public abstract bool check(Element e);
	}
}
