﻿namespace Eingabeverwaltung.Metamodell
{
    public class SingleConfig : IConfig
    {
        public readonly int maxPt;
        public readonly int minSteps;
        public readonly int maxSteps;

        public SingleConfig(int maxPt, int minSteps, int maxSteps)
        {
            this.maxPt = maxPt;
            this.minSteps = minSteps;
            this.maxSteps = maxSteps;
        }

        public int MaxPt() => maxPt;

        public override string ToString() => "maxpt " + maxPt + " minsteps " + minSteps + " maxsteps " + maxSteps + "\r\n";
    }
}
