﻿using System.Collections.Generic;

namespace Eingabeverwaltung.Metamodell
{
	public abstract class Tree : Sorthaver
	{
		public Tree(string name, Sort sort) : base(name, sort) { }

		public override abstract string ToString();
		public abstract List<Tree> findSubTree(Tree tree);
		public abstract List<Variable> findUsedVars(); 
        public abstract bool Equals(Tree tree);
		// don't use it until you know what to do with tree == null
		//public static bool operator ==(Tree left, Tree right) =>  left.Equals(right);  
		//public static bool operator !=(Tree left, Tree right) => !left.Equals(right);

		public abstract Tree Copy();
	}	
}
