﻿using Eingabeverwaltung.Metamodell;
using System;

namespace Ueberpruefung.CheckTransformation
{
	public class CheckSubstitutionVariable_DefinedIn_ADT : ElementChecker
	{
		public CheckSubstitutionVariable_DefinedIn_ADT() { }

        public override bool check(Element e)
        {
            if (e is Substitution sub)
            {
                bool result = sub.variable != null;
                if (!result) sub.errors.Add(new Error(3));
                return result;
            }
            else throw new InvalidOperationException();
        }
    }
}